using System;
using System.Net;
using System.Threading.Tasks;

internal sealed class Delegate707 : MulticastDelegate
{
	public extern Task<WebResponse> Invoke(object object_0);

	public static Task<WebResponse> smethod_0(object object_0, Delegate707 delegate707_1)
	{
		return delegate707_1(object_0);
	}

	public extern Delegate707(object object_0, IntPtr intptr_0);

	static Delegate707()
	{
		Class10.smethod_13(typeof(Delegate707).TypeHandle);
	}

	internal static Delegate707 delegate707_0;
}
